#
# spec file for package rubygem-json (Version 1.4.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-json
Version:	1.4.6
Release:        1.1
%define mod_name json
#
Group:          Development/Languages/Ruby
License:        GPLv2+ or Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
#
Url:            http://flori.github.com/json
Source:         %{mod_name}-%{version}.gem
#
Summary:        A JSON implementation as a Ruby extension
%description
This is a implementation of the JSON specification according to RFC 4627. You
can think of it as a low fat alternative to XML, if you want to store data to
disk or transmit it over a network rather than use a verbose markup language.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
%build
%install
%gem_install %{S:0}
%gem_cleanup

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/edit_json.rb
%{_bindir}/prettify_json.rb
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Tue Mar 29 2011 kkaempf@novell.com
- split off -doc subpackage
* Sun Nov 14 2010 mrueckert@suse.de
- update to version 1.4.6
  * Fixed oversight reported in
    http://github.com/flori/json/issues/closed#issue/23,
    always create a new object from the state prototype.
  * Made pure and ext api more similar again.
- additional changes from version 1.4.5
  * Manage data structure nesting depth in state object during
    generation. This should reduce problems with to_json method
    definіtions that only have one argument.
  * Some fixes in the state objects and additional tests.
- additional changes from version 1.4.4
  * Fixes build problem for rubinius under OS X,
    http://github.com/flori/json/issues/closed#issue/25
  * Fixes crashes described in
    http://github.com/flori/json/issues/closed#issue/21 and
    http://github.com/flori/json/issues/closed#issue/23
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.4.3
  * Fixed some test assertions, from Ruby r27587 and r27590, patch
    by nobu.
  * Fixed issue http://github.com/flori/json/issues/#issue/20
    reported by electronicwhisper@github. Thx!
- additional changes from version 1.4.2
  * Applied patch from naruse Yui NARUSE <naruse@airemix.com> to
    make building with Microsoft Visual C possible again.
  * Applied patch from devrandom <c1.github@niftybox.net> in order
    to allow building of json_pure if extensiontask is not present.
  * Thanks to Dustin Schneider <dustin@stocktwits.com>, who
    reported a memory leak, which is fixed in this release.
  * Applied 993f261ccb8f911d2ae57e9db48ec7acd0187283 patch from
    josh@github.
- additional changes from version 1.4.1
  * Fix for a bug reported by Dan DeLeo <dan@kallistec.com>, caused
    by T_FIXNUM being different on 32bit/64bit architectures.
- additional changes from version 1.4.0
  * Major speed improvements and building with simplified
    directory/file-structure.
  * Extension should at least be comapatible with MRI, YARV and
    Rubinius.
- additional changes from version 1.2.4
  * Triger const_missing callback to make Rails' dynamic class
    loading work.
- additional changes from version 1.2.3
  * Added a State#[] method which returns an attribute's value in
    order to increase duck type compatibility to Hash.
- additional changes from version 1.2.2
  * Made some changes to make the building of the parser/generator
    compatible to Rubinius.
- additional changes from version 1.2.1
  * Added :symbolize_names option to Parser, which returns symbols
    instead of strings in object names/keys.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to version 1.2.0
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 1.1.3
* Fri May 25 2007 mrueckert@suse.de
- initial package
